const BASE_CONFIG = require('../../scripts/jest/common.config');

module.exports = {
    ...BASE_CONFIG,
    displayName: 'remark-lint-markdown-frontmatter-playground',
    collectCoverageFrom: ['<rootDir>/**/src/*.{ts,js}'],
    coveragePathIgnorePatterns: ['/node_modules/', '/dist/'],
    testMatch: ['<rootDir>/**/__tests__/**/*.{test,spec}.ts'],
    testPathIgnorePatterns: ['lib/', 'node_modules/'],
    moduleFileExtensions: ['ts', 'tsx', 'js', 'jsx', 'json', 'node'],
    preset: 'ts-jest',
    testEnvironment: 'node',
    transform: {
        '^.+\\.ts$': 'ts-jest',
    },
};
